import { CodeEditor } from '../../markup/editor';
import { ToolbarData } from '../../toolbar/Toolbar';
import { ToolbarGroupData } from '../../toolbar/ToolbarGroup';
import { ToolbarListButtonData } from '../../toolbar/ToolbarListButton';
import { ToolbarListItemData, ToolbarReactComponentData, ToolbarSingleItemData } from '../../toolbar/types';
export declare type MToolbarData = ToolbarData<CodeEditor>;
export declare type MToolbarSingleItemData = ToolbarSingleItemData<CodeEditor>;
export declare type MToolbarGroupData = ToolbarGroupData<CodeEditor>;
export declare type MToolbarReactComponentData = ToolbarReactComponentData<CodeEditor>;
export declare type MToolbarListButtonData = ToolbarListButtonData<CodeEditor>;
export declare type MToolbarListItemData = ToolbarListItemData<CodeEditor>;
export declare const mHistoryGroupConfig: MToolbarGroupData;
/** Bold, Italic, Underline, Strike buttons group */
export declare const mBoldGroupItem: MToolbarSingleItemData;
export declare const mItalicGroupItem: MToolbarSingleItemData;
export declare const mBiusGroupConfig: MToolbarGroupData;
export declare const mHeadingListConfig: MToolbarListButtonData;
export declare const mListsListConfig: MToolbarListButtonData;
export declare const mCheckboxButton: MToolbarSingleItemData;
export declare const mListMoveListConfig: MToolbarListButtonData;
export declare const mLinkButton: MToolbarReactComponentData;
export declare const mNoteButton: MToolbarSingleItemData;
export declare const mQuoteButton: MToolbarSingleItemData;
export declare const mCutButton: MToolbarSingleItemData;
export declare const mTableButton: MToolbarSingleItemData;
export declare const mCodeListConfig: MToolbarListButtonData;
export declare const mMathListConfig: MToolbarListButtonData;
export declare const mMathListItem: MToolbarListItemData;
export declare const mMermaidButton: MToolbarSingleItemData;
/** prepared markup toolbar config */
export declare const mToolbarConfig: MToolbarData;
export declare const mHruleItemData: MToolbarSingleItemData;
export declare const mTabsItemData: MToolbarSingleItemData;
export declare const mHiddenData: MToolbarSingleItemData[];
