import React from 'react';
import { ToolbarBaseProps } from '../../../toolbar';
export declare type ToolbarLinkProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    active: boolean;
    enable: boolean;
    onSubmit(url: string, text: string): void;
    removeLink(): void;
    formInitialText?: string;
    formReadOnlyText?: boolean;
};
export declare const ToolbarLink: React.FC<ToolbarLinkProps>;
