"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MToolbarLink = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const commands_1 = require("../../../markup/commands");
const ToolbarLink_1 = require("../custom/ToolbarLink");
const MToolbarLink = ({ focus, onClick, editor, className }) => {
    const selection = editor.cm.getSelection();
    return (react_1.default.createElement(ToolbarLink_1.ToolbarLink, { focus: focus, onClick: onClick, className: className, active: false, enable: true, formInitialText: selection, formReadOnlyText: Boolean(selection), onSubmit: (url, text) => {
            (0, commands_1.insertLink)({ url, text })(editor.cm);
        }, removeLink: () => {
            throw new Error('Function not implemented.');
        } }));
};
exports.MToolbarLink = MToolbarLink;
