/// <reference types="react" />
import { Extension } from '../core';
import { Editor, EditorOptions } from './Editor';
import { ExtensionsOptions } from './wysiwyg-preset';
export declare type UseYfmEditorProps<T extends object = {}> = Omit<EditorOptions, 'extensions' | 'renderStorage'> & {
    breaks?: boolean;
    /** Used only first value. Сhanging the value will not lead to anything */
    extensionOptions?: Omit<ExtensionsOptions, 'reactRenderer'> & T;
    /** Used only first value. Сhanging the value will not lead to anything */
    extraExtensions?: Extension;
};
export declare function useYfmEditor<T extends object = {}>(props: UseYfmEditorProps<T>, deps?: React.DependencyList): Editor;
