import React from 'react';
import { FileFormProps } from '../../../forms/FileForm';
import { ToolbarBaseProps } from '../../../toolbar';
import { BatchUploadResult, FileUploadHandler } from '../../../utils/upload';
export declare type ToolbarFileProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    active: boolean;
    enable: boolean;
    uploadHandler?: FileUploadHandler;
    onSuccessUpload?: (result: BatchUploadResult) => void;
} & Pick<FileFormProps, 'onSubmit'>;
export declare const ToolbarFile: React.FC<ToolbarFileProps>;
