import { ExtensionAuto } from '../../../core';
import type { FileUploadHandler } from '../../../utils/upload';
export declare type ImgSizeAdditionsOptions = {
    imageUploadHandler?: FileUploadHandler;
    /**
     * If we need to set dimensions for uploaded images
     *
     * @default false
     */
    needToSetDimensionsForUploadedImages?: boolean;
};
export declare const ImgSizeAdditions: ExtensionAuto<ImgSizeAdditionsOptions>;
