import React from 'react';
export declare type UploadedFile = {
    fileName: string;
    fileType: 'image' | 'file';
    status: 'uploading' | 'success' | 'error';
    errorText?: string;
};
export declare function renderUploadWidget(container: HTMLElement, props: UploadWidgetProps): () => React.ReactPortal;
declare type UploadWidgetProps = {
    files: readonly UploadedFile[];
    onReUploadClick: (file: UploadedFile) => void;
    onCloseClick: () => void;
};
export {};
