"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkEnhance = void 0;
const TooltipPlugin_1 = require("./TooltipPlugin");
const actions_1 = require("./actions");
const linkAction2 = 'addLink';
const LinkEnhance = (builder, opts) => {
    builder.addAction(linkAction2, actions_1.linkActionSpec2).addPlugin(TooltipPlugin_1.linkTooltipPlugin);
    if (opts === null || opts === void 0 ? void 0 : opts.linkKey) {
        const { linkKey } = opts;
        builder.addKeymap((deps) => ({
            [linkKey]: (0, actions_1.addLinkCmd2)(deps),
        }));
    }
};
exports.LinkEnhance = LinkEnhance;
