"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmFileAdditions = void 0;
const YfmFilePaste_1 = require("./YfmFilePaste");
const YfmFileWidget_1 = require("./YfmFileWidget");
const YfmFileAdditions = (builder, opts = {}) => {
    builder.use(YfmFileWidget_1.YfmFileWidget, opts);
    if (opts.fileUploadHandler) {
        builder.use(YfmFilePaste_1.YfmFilePaste, {
            fileUploadHandler: opts.fileUploadHandler,
            needToSetDimensionsForUploadedImages: Boolean(opts.needToSetDimensionsForUploadedImages),
        });
    }
};
exports.YfmFileAdditions = YfmFileAdditions;
