"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmDistSpecs = void 0;
const lodash_1 = require("../../../../lodash");
const YfmDistSpecs = (builder) => {
    // ignore yfm lint token
    builder.addNode('__yfm_lint', () => ({
        spec: {},
        fromYfm: { tokenSpec: { name: '__yfm_lint', type: 'node', ignore: true } },
        toYfm: lodash_1.noop,
    }));
};
exports.YfmDistSpecs = YfmDistSpecs;
