"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isH6Active = exports.isH5Active = exports.isH4Active = exports.isH3Active = exports.isH2Active = exports.isH1Active = exports.isItalicActive = exports.isBoldActive = void 0;
exports.isBoldActive = isActive('strong');
exports.isItalicActive = isActive('em');
exports.isH1Active = isActive('header-1');
exports.isH2Active = isActive('header-2');
exports.isH3Active = isActive('header-3');
exports.isH4Active = isActive('header-4');
exports.isH5Active = isActive('header-5');
exports.isH6Active = isActive('header-6');
function isActive(type) {
    return (cm) => {
        var _a;
        const token = (_a = cm.getTokenTypeAt(cm.getCursor('start'))) !== null && _a !== void 0 ? _a : '';
        return token.split(' ').includes(type);
    };
}
