import React from 'react';
import { ImageFormProps } from '../../../forms/ImageForm';
import { ToolbarBaseProps } from '../../../toolbar';
import { BatchUploadResult, FileUploadHandler } from '../../../utils/upload';
export declare type ToolbarImageProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    active: boolean;
    enable: boolean;
    uploadImages?: FileUploadHandler;
    onSuccessUpload?: (res: BatchUploadResult) => void;
} & Pick<ImageFormProps, 'onSubmit'>;
export declare const ToolbarImage: React.FC<ToolbarImageProps>;
